---
title: vultr_vpc
url: https://docs.vultr.com/reference/terraform/data-sources/vpc
description: Retrieves information about a Vultr Virtual Private Cloud (VPC) using filters like description.
publish_date: 2025-09-15T13:34:25.352226Z
last_updated: 2025-09-15T14:14:47.891949Z
---

# vultr_vpc

Get information about a Vultr VPC.

## Example Usage

Get the information for a VPC by `description`:

```hcl
data "vultr_vpc" "my_vpc" {
  filter {
    name = "description"
    values = ["my-vpc-description"]
  }
}
```

## Argument Reference

The following arguments are supported:

* `filter` - (Required) Query parameters for finding VPCs.

The `filter` block supports the following:

* `name` - Attribute name to filter with.
* `values` - One or more values filter with.

## Attributes Reference

The following attributes are exported:

* `region` - The ID of the region that the VPC is in.
* `v4_subnet` - The IPv4 network address. For example: 10.1.1.0.
* `v4_subnet_mask` - The number of bits for the netmask in CIDR notation. Example: 20
* `description` - The VPC's description.
* `date_created` - The date the VPC was added to your Vultr account.